from pydantic import BaseModel, EmailStr


class User(BaseModel):
    username: str
    email: EmailStr
    password: str


class DataCenter(BaseModel):
    name: str


class Token(BaseModel):
    datacenter: str
    token: str


class UserLoginSchema(BaseModel):
    username: str
    password: str

    class Config:
        schema_extra = {"example": {"username": "user", "password": "weakpassword"}}
