import json
from locust import TaskSet, task, between, HttpUser

class PerformanceTests(TaskSet):
    def on_start(self):
        resp = self.client.post("/user/login", json={
            "username": "karsa",
            "password": "12345678"
        })
        self.client.headers = {'Authorization': 'Bearer ' + json.loads(resp._content)['access_token']} 

    @task(1)
    def testFastApi(self):
        self.client.get("/lb/dashboard/acpi/vm/1/")


class WebsiteUser(HttpUser):
    tasks = [PerformanceTests]
    min_wait = 5000
    max_wait = 9000